########################################################################
# X11 Server Environment:

# Set the _NET_WM_NAME,
# used by some application that make too many assumptions (ie: Java)
# To workaround JDK6 window positioning issues, use:
#wm-name = Sawfish
wm-name = Xpra

# Input methods
# To disable input method completely:
#input-method=none
# To keep the environment unchanged:
#input-method=keep
# Other possible options:
#input-method=IBus
#input-method=SCIM
#input-method=uim
# this will use ibus if present:
input-method=auto

# Paint the windows on the xvfb so that
# screen grabs and screen recorders will work
# (repaint delay in milliseconds, 0 to disable)
# sync-xvfb = 200
# sync-xvfb = 50
# sync-xvfb = 0
sync-xvfb = auto

# Virtual display command
# common aliases are resolved to full commands at runtime:
# xvfb = Xvfb
# xvfb = Xorg
# xvfb = Xephyr
# xvfb = weston+Xwayland
# xvfb = auto
#
# full commands:
# Xvfb option (limited DPI support)
# xvfb = Xvfb -nolisten tcp -noreset \
#        +extension GLX +extension Composite \
#        +extension RANDR +extension RENDER \
#        -extension DOUBLE-BUFFER \
#        -auth $XAUTHORITY \
#        -screen 0 8192x4096x24+32 \
#        -dpi 96x96
# - weston + Xwayland option:
# xvfb = /usr/libexec/xpra/xpra_weston_xvfb
# - Xephyr (requires a running X11 server):
# xvfb = Xephyr -nolisten tcp -noreset \
#        +extension GLX +extension Composite \
#        -auth $XAUTHORITY \
#        -screen 8192x4096x24+32
# - Xdummy:
#xvfb = /usr/lib/Xorg -novtswitch \
#    -logfile ${XPRA_SESSION_DIR}/Xorg.log \
#    -configdir ${XPRA_SESSION_DIR}/xorg.conf.d/$PID \
#    -config ${XORG_CONFIG_PREFIX}/etc/xpra/xorg.conf \
#    +extension Composite +extension GLX +extension RANDR \
#    +extension RENDER -extension DOUBLE-BUFFER -nolisten tcp \
#    -noreset -auth $XAUTHORITY
#
# Selecting virtual X server:
xvfb = /usr/lib/Xorg -novtswitch \
    -logfile ${XPRA_SESSION_DIR}/Xorg.log \
    -configdir ${XPRA_SESSION_DIR}/xorg.conf.d/$PID \
    -config ${XORG_CONFIG_PREFIX}/etc/xpra/xorg.conf \
    +extension Composite +extension GLX +extension RANDR \
    +extension RENDER -extension DOUBLE-BUFFER -nolisten tcp \
    -noreset -auth $XAUTHORITY
